org.eclnt.jsfserver.elements.phases

## Class PhaseManager

- java.lang.Object
- - org.eclnt.jsfserver.elements.phases.PhaseManager

- All Implemented Interfaces:
    java.io.Serializable

      public class PhaseManager
      extends java.lang.Object
      implements java.io.Serializable

  Static access to phase management. Application can attach "runnables" to certain phases. Methods must only be called within a request processing.
  The command that is passed is internally registered and executed at the appropriate point of time. After execution it is removed out of the internal registration. In case you want a certain command to be executed "always" you need to re-register the command with each execution.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PhaseManager()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `runAfterInvokePhase(ISessionAbstraction hs, java.lang.Runnable run)`
    `static void` | `runAfterInvokePhase(java.lang.Runnable run)`
    `static void` | `runAfterRenderResponsePhase(ISessionAbstraction hs, java.lang.Runnable run)`
    `static void` | `runAfterRenderResponsePhase(java.lang.Runnable run)`
    `static void` | `runAfterUpdatePhase(ISessionAbstraction hs, java.lang.Runnable run)`
    `static void` | `runAfterUpdatePhase(java.lang.Runnable run)`
    `static void` | `runBeforeInvokePhase(ISessionAbstraction hs, java.lang.Runnable run)`
    `static void` | `runBeforeInvokePhase(java.lang.Runnable run)`
    `static void` | `runBeforeRenderResponsePhase(ISessionAbstraction hs, java.lang.Runnable run)`
    `static void` | `runBeforeRenderResponsePhase(java.lang.Runnable run)`
    `static void` | `runBeforeUpdatePhase(ISessionAbstraction hs, java.lang.Runnable run)`
    `static void` | `runBeforeUpdatePhase(java.lang.Runnable run)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PhaseManager

          public PhaseManager()

  - ### Method Detail

    - #### runAfterUpdatePhase

          public static void runAfterUpdatePhase(java.lang.Runnable run)

    - #### runAfterUpdatePhase

          public static void runAfterUpdatePhase(ISessionAbstraction hs,
                                                 java.lang.Runnable run)

    - #### runBeforeUpdatePhase

          public static void runBeforeUpdatePhase(java.lang.Runnable run)

    - #### runBeforeUpdatePhase

          public static void runBeforeUpdatePhase(ISessionAbstraction hs,
                                                  java.lang.Runnable run)

    - #### runAfterInvokePhase

          public static void runAfterInvokePhase(java.lang.Runnable run)

    - #### runAfterInvokePhase

          public static void runAfterInvokePhase(ISessionAbstraction hs,
                                                 java.lang.Runnable run)

    - #### runBeforeInvokePhase

          public static void runBeforeInvokePhase(java.lang.Runnable run)

    - #### runBeforeInvokePhase

          public static void runBeforeInvokePhase(ISessionAbstraction hs,
                                                  java.lang.Runnable run)

    - #### runAfterRenderResponsePhase

          public static void runAfterRenderResponsePhase(java.lang.Runnable run)

    - #### runAfterRenderResponsePhase

          public static void runAfterRenderResponsePhase(ISessionAbstraction hs,
                                                         java.lang.Runnable run)

    - #### runBeforeRenderResponsePhase

          public static void runBeforeRenderResponsePhase(java.lang.Runnable run)

    - #### runBeforeRenderResponsePhase

          public static void runBeforeRenderResponsePhase(ISessionAbstraction hs,
                                                          java.lang.Runnable run)

Copyright © CaptainCasa Gmbh. All Rights Reserved.